Bug 110572 - /etc/ntp installed with wrong permissions
/etc/ntp installed with wrong permissions
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-21 09:33 EST by Phil Hollenback
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-29 05:02:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Hollenback 2003-11-21 09:33:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b)
Gecko/20030212

Description of problem:
/etc/ntp is installed as root:root, should be ntp:ntp.  This results
in the following syslog error message:

ntpd[905]: can't open /etc/ntp/drift.TEMP: Permission denied

Fix is to change /etc/ntp directory to be owned by ntp:ntp.

Version-Release number of selected component (if applicable):
ntp-4.1.2-5

How reproducible:
Always

Steps to Reproduce:
1. Install ntp rpm
2. Configure a drift file in /etc/ntp.conf
3. Run ntp service
    

Actual Results:  ntp can't write to drift file

Expected Results:  ntp should be able to write to drift file

Additional info:
Comment 1 Harald Hoyer 2004-01-29 05:02:31 EST
no! your config file is wrong! 
driftfile /var/lib/ntp/drift


Note You need to log in before you can comment on or make changes to this bug.